<%- include ("./partials/messages"); %>
<div class="card" style="width: 18rem;">
  <% if(user.profile.profileImageType !== ''){ %>
    <img src="<%=user.profile.profileImagePath%>" class="card-img-top rounded-circle w-100" alt="...">
    <% }else{ %>
      <img src="../images/noImage.png" class="card-img-top rounded-circle w-100" alt="...">
    <% } %>

    <div class="card-body">
      <h5 class="card-title">Welcome <%= user.name %></h5>
      <p class="card-text"><%= user.profile.information %></p>
    </div>
    <ul class="list-group list-group-flush">
      <li class="list-group-item">Adress: <%= user.profile.adress %></li>
      <li class="list-group-item">Mobile: <%= user.profile.mobile %></li>
    </ul>
    <div class="card-body">
      <a href="/profile/change" class="card-link">Change Profile</a>
      <a href="/users/post/create" class="card-link">Add new Post</a>
    </div>
</div>
<a href="/other/profiles" class="btn btn-secondary">Other Profiles</a>
<a href="/newsfeed" class="btn btn-secondary">News Feed</a>
<a href="/friends" class="btn btn-secondary">Friends</a>
<a href="/users/logout" class="btn btn-secondary">Logout</a>


<div class="row">
  <% if(typeof post != 'undefined'){ %>
    <% post.forEach(function(eachPost){ %>
      <div class="col-4 pt-5">
        <h5 class="card-title"><%=eachPost.description %></h5>
        <img style="width: 250px; height: 250px;" src="<%=eachPost.postImagePath%>" class="card-img-top" alt="...">
        <form style="padding-top: 15px;" action="/users/post/delete/<%= eachPost.id %>?_method=DELETE" method="POST">  
          <button class="btn btn-secondary" type="submit">Delete</button>
      </form>
      </a>
      </div>
      <% }) %>
      <% } %>
</div>
